namespace Colegio {
	namespace DB {
		public class Horario : Object {
			public Asignatura asignatura { get; set; default = new Asignatura (); }
			public Bloque bloque { get; set; default = new Bloque (); }
			public string sala { get; set; default = ""; }

			public Horario (Asignatura asignatura = new Asignatura (), Bloque bloque = new Bloque (), string sala = "") {
				this.asignatura = asignatura;
				this.bloque = bloque;
				this.sala = sala;
			}

			public void copy (Horario horario) {
				this.sala = horario.sala;
				this.asignatura = new Asignatura ();
				this.asignatura.copy (horario.asignatura);
				this.bloque = new Bloque ();
				this.bloque.copy (horario.bloque);
			}
		}
	}
}
